## Script (Python) "getEntries"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=sort='id', reverse=0
"""
Returns a list of entries sorted by id, date, type or size.
"""
entries=context.objectValues('PABlog')
args=()

# build arguments for sequence.sort
if sort=='id':
    if not reverse:
        args=(('getId',),)
    else:
        args=(('getId', 'cmp', 'desc'),)
elif sort=='date':
    if not reverse:
        args=(('bobobase_modification_time',), ('getId',))
    else:
        args=(('bobobase_modification_time', 'cmp', 'desc'), ('getId',))
elif sort=='type':
    if not reverse:
        args=(('getContentType',), ('getId',))
    else:
        args=(('getContentType', 'cmp', 'desc'), ('getId',)) 
elif sort=='size':
    if not reverse:
        args=(('getSize', 'cmp', 'desc'), ('getId',))
    else:
        args=(('getSize',), ('getId',)) 


return sequence.sort(entries, args)
